Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.ast.expr
[Java] Class ArrayExpression

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.AnnotatedNode
              org.codehaus.groovy.ast.expr.Expression
                  org.codehaus.groovy.ast.expr.ArrayExpression

    public class ArrayExpression
    extends Expression

Represents an array object construction either using a fixed size or an initializer expression

Authors:
  James Strachan

Version:
  \$Revision: 20591 \$

Constructor Summary
`ArrayExpression(ClassNode elementType, List expressions, List sizeExpression)`
`ArrayExpression(ClassNode elementType, List expressions)` Creates an array using an initializer expression

Method Summary
`void` | `addExpression(Expression expression)`
`ClassNode` | `getElementType()`
`Expression` | `getExpression(int i)`
`List` | `getExpressions()`
`List` | `getSizeExpression()`
`String` | `getText()`
`boolean` | `isDynamic()`
`String` | `toString()`
`Expression` | `transformExpression(ExpressionTransformer transformer)`
`void` | `visit(GroovyCodeVisitor visitor)`

Methods inherited from class Expression
getType, setType, transformExpression, transformExpressions, transformExpressions

Methods inherited from class AnnotatedNode
addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic

Methods inherited from class ASTNode
copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, getText, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition, visit

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### ArrayExpression

    public ArrayExpression(ClassNode elementType, List expressions, List sizeExpression)

### ArrayExpression

    public ArrayExpression(ClassNode elementType, List expressions)

  Creates an array using an initializer expression

Method Detail

### addExpression

    public void addExpression(Expression expression)

### getElementType

    public ClassNode getElementType()

### getExpression

    public Expression getExpression(int i)

### getExpressions

    public List getExpressions()

### getSizeExpression

    public List getSizeExpression()

### getText

    public String getText()

### isDynamic

    public boolean isDynamic()

### toString

    public String toString()

### transformExpression

    public Expression transformExpression(ExpressionTransformer transformer)

### visit

    public void visit(GroovyCodeVisitor visitor)

Copyright © 2003-2010 The Codehaus. All rights reserved.